%{
/*
 * GXSNMP - An snmp managment application
 * Copyright (C) 1998 Gregory McLean
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc.,  59 Temple Place - Suite 330, Cambridge, MA 02139, USA.
 *
 * Config file parser grammer.
 */
#include "main.h"

extern gxsnmp   *app_info;
%}

%union {
  char    *string;               /* string buffer */
  int     numeric;              /* numeric value buffer */
};
%token EQL
%token <string>  QSTRING C_READ_COMM C_WRITE_COMM 
%token <string>  C_SQL_ENGINE C_SQL_HOST C_SQL_USER C_SQL_PASS C_SQL_DB
%token <numeric> NUMBER C_SNMP_RETRIES C_SNMP_TIME C_SNMP_PORT C_SQL_PORT

%type <string>  qstring
%type <numeric> number

%%          /* Grammar definition */

configs:       config
          |    configs config
          ;

config:     sql_engine 
          | sql_host 
          | sql_port
          | sql_user 
          | sql_pass 
          | sql_db
          ;

sql_engine:
     C_SQL_ENGINE '=' qstring { app_info->general_db.engine = 
                                (char *) strdup ($3); }
   | C_SQL_ENGINE     qstring { app_info->general_db.engine =
                                (char *) strdup ($2); }
             ;

sql_host: 
     C_SQL_HOST '=' qstring { app_info->general_db.host = (char *)strdup ($3); }
   | C_SQL_HOST     qstring { app_info->general_db.host = (char *)strdup ($2); }
             ;

sql_port:
     C_SQL_PORT '=' number { app_info->general_db.port = $3; }
   | C_SQL_PORT     number { app_info->general_db.port = $2; }
             ;

sql_user:  
     C_SQL_USER '=' qstring { app_info->general_db.user = (char *)strdup ($3); }
   | C_SQL_USER     qstring { app_info->general_db.user = (char *)strdup ($2); }
             ;

sql_pass:
     C_SQL_PASS '=' qstring { app_info->general_db.password =
			      (char *)strdup ($3); }
   | C_SQL_PASS     qstring { app_info->general_db.password =
			      (char *)strdup ($2); }
             ;

sql_db:
     C_SQL_DB '=' qstring { app_info->general_database = (char *)strdup ($3); }
   | C_SQL_DB     qstring { app_info->general_database = (char *)strdup ($2); }
             ;

qstring: QSTRING { $$ = $1; }
       ;

number: NUMBER { $$ = $1; }
       ;

%%
/* Supporting 'C' Functions */

/*
 * Prepare the parser's environment
 */

int
config_prelude()
{
}

/*
 * Wind up this run of the parser and exit out.
 */
int
config_epilog()
{
}

/* EOF */
